<html>
<head>
<title>Ogre::Terrain::LayerInstance Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Terrain_1_1LayerInstance.html">LayerInstance</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Terrain::LayerInstance Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Terrain::LayerInstance" -->
<p>An instance of a layer, with specific texture names.  
 <a href="structOgre_1_1Terrain_1_1LayerInstance.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>&gt;</code></p>

<p><a href="structOgre_1_1Terrain_1_1LayerInstance-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1LayerInstance.html#aa554bc0d00ec43b9fb48cf9a436112c2">LayerInstance</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1LayerInstance.html#a54f726e8a0c17ec1579a16afa1a9398c">worldSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The world size of the texture to be applied in this layer.  <a href="#a54f726e8a0c17ec1579a16afa1a9398c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1LayerInstance.html#a14363e8e526e90ea47ea93cac3764fc1">textureNames</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of texture names to import; must match with <a class="el" href="structOgre_1_1TerrainLayerDeclaration.html" title="The definition of the information each layer will contain in this terrain.">TerrainLayerDeclaration</a>.  <a href="#a14363e8e526e90ea47ea93cac3764fc1"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>An instance of a layer, with specific texture names. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00292">292</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa554bc0d00ec43b9fb48cf9a436112c2"></a><!-- doxytag: member="Ogre::Terrain::LayerInstance::LayerInstance" ref="aa554bc0d00ec43b9fb48cf9a436112c2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Terrain_1_1LayerInstance.html#aa554bc0d00ec43b9fb48cf9a436112c2">Ogre::Terrain::LayerInstance::LayerInstance</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00299">299</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a14363e8e526e90ea47ea93cac3764fc1"></a><!-- doxytag: member="Ogre::Terrain::LayerInstance::textureNames" ref="a14363e8e526e90ea47ea93cac3764fc1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> <a class="el" href="structOgre_1_1Terrain_1_1LayerInstance.html#a14363e8e526e90ea47ea93cac3764fc1">Ogre::Terrain::LayerInstance::textureNames</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List of texture names to import; must match with <a class="el" href="structOgre_1_1TerrainLayerDeclaration.html" title="The definition of the information each layer will contain in this terrain.">TerrainLayerDeclaration</a>. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00297">297</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a54f726e8a0c17ec1579a16afa1a9398c"></a><!-- doxytag: member="Ogre::Terrain::LayerInstance::worldSize" ref="a54f726e8a0c17ec1579a16afa1a9398c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Terrain_1_1LayerInstance.html#a54f726e8a0c17ec1579a16afa1a9398c">Ogre::Terrain::LayerInstance::worldSize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The world size of the texture to be applied in this layer. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00295">295</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
